class CreateRuleSets < ActiveRecord::Migration[6.1]
  def change
    create_table :rule_sets do |t|
      t.string :name
      t.text :description
      t.boolean :enabled, default: true
      t.string :operator, default: "AND", limit: 3
      t.boolean :inverted, default: false

      t.timestamps
    end
  end
end
