class CreateRules < ActiveRecord::Migration[6.1]
  def change
    create_table :rules do |t|
      t.references :rule_set, null: false, foreign_key: true
      t.string :name
      t.boolean :enabled, default: true
      t.string :subject_type
      t.string :subject_value
      t.string :condition_type, default: "contain"
      t.string :condition_value
      t.boolean :inverted, default: false

      t.timestamps
    end
  end
end
