# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)

MetadataMapping.create([
  {input: "@aixbackup01", server: "aixbackup01", organisation:  "evolix"},
  {input: "@apparaitre", server: "apparaitre", organisation:  "apparaitre"},
  {input: "@avancie-monitoring00", server: "avancie-monitoring00", organisation:  "avancie"},
  {input: "@azoth-www00", server: "azoth-www00", organisation:  "azothsystems"},
  {input: "@bebeto2", server: "bebeto2", organisation:  "evolix"},
  {input: "@casoni", server: "casoni", organisation:  "evolix"},
  {input: "@cleo-files1", server: "cleo-files1", organisation:  "cleo"},
  {input: "@cloud0-source0", server: "capitaldata-cloud0-source0", organisation:  "capitaldata"},
  {input: "@cogepart-www01", server: "cogepart-www01", organisation:  "cogepart"},
  {input: "@componize-recovery-eu3", server: "componize-recovery-eu3", organisation:  "componize"},
  {input: "@cybercartes-www24", server: "cybercartes-www24", organisation:  "cybercartes"},
  {input: "@ebizproduction-confplus", server: "ebizproduction-confplus", organisation:  "ebizproduction"},
  {input: "@edumedia", server: "edumedia", organisation:  "edumedia"},
  {input: "@evolix.fr", server: nil, organisation:  "evolix"},
  {input: "@exotismes-sql6", server: "exotismes-sql6", organisation:  "exotismes"},
  {input: "@golfup", server: "golfup", organisation:  "golfup"},
  {input: "@hbv5", server: "hbv5", organisation:  ""},
  {input: "@hbv7", server: "hbv7", organisation:  ""},
  {input: "@hbv8", server: "hbv8", organisation:  ""},
  {input: "@hexacoffre", server: "hexacoffre", organisation:  "hexacoffre"},
  {input: "@highco-prixing-www00", server: "highco-prixing-www00", organisation:  ""},
  {input: "@highco-rmw-sas01", server: "highco-rmw-sas01", organisation:  ""},
  {input: "@hosting05", server: "hosting05", organisation:  "evolix"},
  {input: "@itupkeep-sql00", server: "itupkeep-sql00", organisation:  "itupkeep"},
  {input: "@itupkeep-www10", server: "itupkeep-www10", organisation:  "itupkeep"},
  {input: "@jobinlive-intra", server: "jobinlive-intra", organisation:  "jobinlive"},
  {input: "@kampn-dev01", server: "kampn-dev01", organisation:  "kampn"},
  {input: "@kampn-kvm00", server: "kampn-kvm00", organisation:  "kampn"},
  {input: "@kampn-search-docker01", server: "kampn-search-docker01", organisation:  "kampn"},
  {input: "@lepape-sql02", server: "lepape-sql02", organisation:  "lepape"},
  {input: "@lepape-sql03", server: "lepape-sql03", organisation:  "lepape"},
  {input: "@mediaaccess4", server: "mediaaccess4", organisation:  "mediaaccess"},
  {input: "@mediaaccess-dev00", server: "mediaaccess-dev00", organisation:  "mediaaccess"},
  {input: "@nouveauxterritoires-preprod-fcnz", server: "nouveauxterritoires-preprod-fcnz", organisation:  "nouveauxterritoires"},
  {input: "@overcome-web2", server: "overcome-web2", organisation:  "overcome"},
  {input: "@overcome-web3", server: "overcome-web3", organisation:  "overcome"},
  {input: "@preprod-elk", server: "nouveauxterritoires-preprod-elk", organisation:  "nouveauxterritoires"},
  {input: "@preprod-fcnz", server: "preprod-fcnz", organisation:  "nouveauxterritoiresnouveauxterritoires"},
  {input: "@prodlxsas01", server: "prodlxsas01", organisation:  ""},
  {input: "@quai13-backup3", server: "quai13-backup3", organisation:  "quai13"},
  {input: "@quai13-www11", server: "quai13-www11", organisation:  "quai13"},
  {input: "@quai13-www21", server: "quai13-www21", organisation:  "quai13"},
  {input: "@sjvidil", server: "sjvidil", organisation:  "externmarket"},
  {input: "@smsmode-sql01", server: "smsmode-sql01", organisation:  "smsmode"},
  {input: "@socgen00", server: "socgen00", organisation:  "socgen"},
  {input: "@spinon-www01", server: "spinon-www01", organisation:  "spinon"},
  {input: "@stratis-www01", server: "stratis-www01", organisation:  "stratis"},
  {input: "@stratis-www02", server: "stratis-www02", organisation:  "stratis"},
  {input: "@tourismit-iter", server: "tourismit-iter", organisation:  "tourismit"},
  {input: "@tyredating-yepgarage-paris-web02", server: "tyredating-yepgarage-paris-web02", organisation:  "tyredating"},
  {input: "@tyredating-yepgarage-singapore-adm01", server: "tyredating-yepgarage-singapore-adm01", organisation:  "tyredating"},
  {input: "@viaxoft-mrs2-sql08", server: "viaxoft-mrs2-sql08", organisation:  "viaxoft"},
  {input: "@viaxoft-mrs2-sql08", server: nil, organisation:  "viaxoft"},
  {input: "@viaxoft-mrs2-tomcat11", server: "viaxoft-mrs2-tomcat11", organisation:  "viaxoft"},
  {input: "@viaxoft-mrs-tomcat05", server: "viaxoft-mrs-tomcat05", organisation:  ""},
  {input: "@viaxoft-mrs-tomcat05", server: "viaxoft-mrs-tomcat05", organisation:  "viaxoft"},
  {input: "@webcom-adm02", server: "webcom-adm02", organisation:  "webcom"},
  {input: "@webcom-www05", server: "webcom-www05", organisation:  "webcom"},
  {input: "@winnie2", server: "winnie2", organisation:  "evolix"},
  {input: "@winnie", server: "winnie", organisation:  "evolix"},
  {input: "@www10.quai13.net", server: "quai13-www10", organisation:  "quai13"},
  {input: "@www11.quai13.net", server: "quai13-www11", organisation:  "quai13"},
  {input: "@www20.quai13.net", server: "quai13-www20", organisation:  "quai13"},
  {input: "@www21.quai13.net", server: "quai13-www21", organisation:  "quai13"},
  {input: "Customer.Services@interxion.com", server: nil, organisation:  "interxion"},
  {input: "alexis.chevalier@celeste.fr", server: nil, organisation:  "icademie"},
  {input: "aubagne-glastint.com@glastint.com", server: nil, organisation:  "glastint"},
  {input: "azothsystems@evolix.net", server: nil, organisation:  "azothsystems"},
  {input: "@quai13-backup3", server: "quai13-backup3", organisation:  "quai13"},
  {input: "bleucom@evolix.net", server: nil, organisation:  "bleucom"},
  {input: "capitaldata@evolix.net", server: nil, organisation:  "capitaldata"},
  {input: "cbathelet@si-cloud.fr", server: nil, organisation:  "progexia"},
  {input: "cleo@evolix.net", server: nil, organisation:  "cleo"},
  {input: "contact@coffre-fort.be", server: nil, organisation:  "hexacoffre"},
  {input: "courriel@fub.fr", server: nil, organisation:  "fub"},
  {input: "customer.services@interxion.com", server: nil, organisation:  "interxion"},
  {input: "cybercartes-compta@evolix.net", server: nil, organisation:  "cybercartes"},
  {input: "cybercartes@evolix.net", server: nil, organisation:  "cybercartes"},
  {input: "ebizproduction@evolix.net", server: nil, organisation:  "ebizproduction"},
  {input: "equipe@evolix.net", server: nil, organisation:  "evolix"},
  {input: "expiry@letsencrypt.org", server: nil, organisation:  ""},
  {input: "f.manneville@purjus.fr", server: nil, organisation:  "purjus"},
  {input: "florajet@evolix.net", server: nil, organisation:  "florajet"},
  {input: "fluotonic@evolix.net", server: nil, organisation:  "fluotonic"},
  {input: "fub@evolix.net", server: nil, organisation:  "fub"},
  {input: "guillaume.schachtele@opnsecure.com", server: nil, organisation:  "bazile"},
  {input: "hexacoffre@evolix.net", server: nil, organisation:  "hexacoffre"},
  {input: "icademie@evolix.net", server: nil, organisation:  "icademie"},
  {input: "informatique@bazile.fr", server: nil, organisation:  "bazile"},
  {input: "investprev@dpvatonline.com.br", server: nil, organisation:  ""},
  {input: "j.ponchel@icademie.com", server: nil, organisation:  "icademie"},
  {input: "jjobard@bazile.fr", server: nil, organisation:  "bazile"},
  {input: "jobinlive@evolix.net", server: nil, organisation:  "jobinlive"},
  {input: "jobintree@evolix.net", server: nil, organisation:  "jobintree"},
  {input: "kampn-dev01.evolix.net", server: nil, organisation:  "kampn"},
  {input: "kampn@evolix.net", server: nil, organisation:  "kampn"},
  {input: "keyline@evolix.net", server: nil, organisation:  "preferendum"},
  {input: "kopel@evolix.ca", server: nil, organisation:  "kopel"},
  {input: "l2-support@franceix.net", server: nil, organisation:  "franceix"},
  {input: "lcdr@evolix.net", server: nil, organisation:  "lcdr"},
  {input: "lepape@evolix.net", server: nil, organisation:  "lepape"},
  {input: "maintenance-jaguar@bazile.fr", server: nil, organisation:  "bazile"},
  {input: "marketing-appa@apparaitre", server: "apparaitre", organisation:  "apparaitre"},
  {input: "mediaaccess@evolix.net", server: nil, organisation:  "mediaaccess"},
  {input: "mexico@iter", server: "tourismit-iter", organisation:  "tourismit"},
  {input: "n.ayed@progexia.fr", server: nil, organisation:  "progexia"},
  {input: "nicematin@evolix.net", server: nil, organisation:  "nicematin"},
  {input: "nicolas.durut@free.fr", server: nil, organisation:  "cybercartes"},
  {input: "no-reply@sever-admin.pw", server: nil, organisation:  ""},
  {input: "noreply@bluewin.ch", server: nil, organisation:  ""},
  {input: "noreply@mattermost-nouveauxterritoires.evolix.org", server: nil, organisation:  "nouveauxterritoires"},
  {input: "nouveauxterritoires@evolix.net", server: nil, organisation:  "nouveauxterritoires"},
  {input: "paris-bounces@members.franceix.net", server: nil, organisation:  "franceix"},
  {input: "paris@members.franceix.net", server: nil, organisation:  "franceix"},
  {input: "pascal.poirson@groupe-dtcf.com", server: nil, organisation:  "croissanceformation"},
  {input: "progexia@evolix.net", server: nil, organisation:  "progexia"},
  {input: "quai13@evolix.net", server: nil, organisation:  "quai13"},
  {input: "redmine@evolix.net", server: nil, organisation:  "evolix"},
  {input: "root@beauregard2.fluotonic.net", server: nil, organisation:  "fluotonic"},
  {input: "root@cloud0-source0.kdata.fr", server: "capitaldata-cloud0-source0", organisation:  "capitaldata"},
  {input: "root@glastint.com", server: "glastint", organisation:  "quai13"},
  {input: "root@hbv5.hb.univ-amu.fr", server: nil, organisation:  ""},
  {input: "root@hbv7.hb.univ-amu.fr", server: nil, organisation:  ""},
  {input: "root@hbv8.hb.univ-amu.fr", server: nil, organisation:  ""},
  {input: "root@kvmail0.cybercartes.com", server: "cybercartes-kvmail0", organisation:  "cybercartes"},
  {input: "root@preprod-elk.nouveauxterritoires.net", server: "nouveauxterritoires-preprod-elk", organisation:  "nouveauxterritoires"},
  {input: "smsmode@evolix.net", server: nil, organisation:  "smsmode"},
  {input: "spaquin@kopel.ca", server: nil, organisation:  "kopel"},
  {input: "stratis@evolix.net", server: nil, organisation:  "stratis"},
  {input: "support@glastint.com", server: nil, organisation:  "quai13"},
  {input: "support@jaguar-network.com", server: nil, organisation:  "jaguar"},
  {input: "tech@evolix.net", server: nil, organisation:  "evolix"},
  {input: "techlog@viaxoft.com", server: nil, organisation:  "viaxoft"},
  {input: "tetesaclics@gmail.com", server: nil, organisation:  ""},
  {input: "tourismit@evolix.net", server: nil, organisation:  "tourismit"},
  {input: "tyredating-c2s@evolix.net", server: nil, organisation:  "tyredating"},
  {input: "viaxoft-backup2.evolix.net", server: "viaxoft-backup2", organisation:  "viaxoft"},
  {input: "viaxoft-mrs-backup2.evolix.net", server: "viaxoft-mrs-backup2", organisation:  "viaxoft"},
  {input: "viaxoft-sys@evolix.net", server: nil, organisation:  "viaxoft"},
  {input: "viaxoft@evolix.net", server: nil, organisation:  "viaxoft"},
  {input: "webcom@evolix.net", server: nil, organisation:  "webcom"},
])
